%define gtk2_version 2.3.1
%define libglade2_version 2.0.0
%define gconf2_version 2.4.0
%define libgnomeui_version 2.5.2
%define gnome_panel_version 2.5.1

Summary: Network status applet
Name: gnome-netstatus
Version: 2.6.0.1
Release: 1
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Prereq: GConf2 >= %{gconf2_version}

Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}
Requires: GConf2 >= %{gconf2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: gnome-panel >= %{gnome_panel_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-panel >= %{gnome_panel_version}

%description
gnome-netstatus is an applet which provides information about a
network interface on your panel.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{name}

# re-do the symlinks
for doc_lang in C de es fr it ja ko sv zh_CN zh_HK zh_TW; do
  cd $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures
  for icon in *.png; do
    rm -f ${icon}
    ln -sf %{_datadir}/icons/hicolor/48x48/apps/${icon} ${icon}
  done
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="netstatus.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_datadir}/gnome/help
%{_datadir}/gnome-2.0/ui
%{_datadir}/gnome-netstatus
%{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/omf
%{_datadir}/pixmaps
%{_libdir}/bonobo
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0.1-1
- Update to 2.6.0.1
- Re-do the symlinks for translated docs

* Mon Mar  8 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91
- Update icons location
- Create help figures symlinks correctly

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 27 2004 Mark McLoughlin <markmc@redhat.com> 0.16-1
- Initial build.
